Bug 145453 - cman initscript should not run if gulm configuration detected
Summary: cman initscript should not run if gulm configuration detected
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cman   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christine Caulfield
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 144795
TreeView+ depends on / blocked
 
Reported: 2005-01-18 17:21 UTC by Adam "mantis" Manthei
Modified: 2009-04-24 14:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 14:30:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam "mantis" Manthei 2005-01-18 17:21:04 UTC
Description of problem:
The cman initscript should not run if a gulm configuration is
detected.  The script will need to check /etc/cluster/cluster.conf to
determine if gulm is configured since ccsd will not be in a quorate
state when this script is started on bootup.  The check should
silently cause the initscript to exit so that users are not alarmed by
unneccessary error messages.

Version-Release number of selected component (if applicable):
problem exits in  cman-1.0-0.pre12.0 and earlier.

Comment 1 Adam "mantis" Manthei 2005-01-20 17:55:09 UTC
diff -u -p -r1.3 cman
--- cluster/cman/init.d/cman    13 Jan 2005 18:07:45 -0000      1.3
+++ cluster/cman/init.d/cman    20 Jan 2005 17:53:56 -0000
@@ -20,6 +20,16 @@ CMAN_CLUSTER_TIMEOUT=300
 . /etc/init.d/functions
 [ -f /etc/sysconfig/cluster ] && . /etc/sysconfig/cluster
 
+# If gulm is in ccs, don't start cman
+# FIXME -- Should this be silent?  I think users should get some
+#          feedback, but others might not want added verbosity to
+#          the boot process.  Oh well... it's only one line :)
+if grep -qE "<[\t ]*gulm[\t ]*.*>" /etc/cluster/cluster.conf
+then
+       echo "cman: <gulm> section detected in /etc/cluster/cluster.conf"
+       exit 11
+fi
+


/cvs/cluster/cluster/cman/init.d/cman,v  <--  cman
new revision: 1.1.2.3; previous revision: 1.1.2.2
done
/cvs/cluster/cluster/cman/init.d/cman,v  <--  cman
new revision: 1.4; previous revision: 1.3
done





Note You need to log in before you can comment on or make changes to this bug.